#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([FULL-PACKAGE-NAME], [VERSION], [BUG-REPORT-ADDRESS])
AC_CONFIG_SRCDIR([getpw.cpp])
AC_CONFIG_HEADERS([config.h])

# Checks for programs.
AC_PROG_CXX
AC_PROG_CC
AC_PROG_INSTALL

# Added this manually
AC_CHECK_TOOL([STRIP],[strip])

# Checks for libraries.
dnl check for -lg:
AC_HAVE_LIBRARY(g)
dnl check for -lm:
#AC_HAVE_LIBRARY(m)
dnl check for -lcrypt:
AC_HAVE_LIBRARY(crypt)

# Checks for header files.
AC_CHECK_HEADERS([stdlib.h string.h termios.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_CHECK_HEADER_STDBOOL

# Checks for library functions.
AC_FUNC_MALLOC
AC_CHECK_FUNCS([bzero getpass strdup])

##
echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo "GETPW_EXTRA_LDFLAGS: $GETPW_EXTRA_LDFLAGS"
echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
GETPW_EXTRA_LDFLAGS=$GETPW_EXTRA_LDFLAGS
AC_SUBST(GETPW_EXTRA_LDFLAGS)
AC_SUBST(ARCH_DEP_FLAGS)
AC_SUBST(gsdlos)

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
